#!/bin/bash
SOURCE_DIR="Src/Modules/"
OUTPUT_DIR="Config/Processes/"
SOURCE_FILES="CognitionModules MotionModules"
SOURCE_FILE_EXT=".h"
OUTPUT_FILE_EXT=".cfg"

for i in $SOURCE_FILES; do
  sed "$SOURCE_DIR/$i$SOURCE_FILE_EXT" -e s/^\ \ *\#/\#/g -e /^[^\#]/d -e s/\\.h//g -e s/\#include\ *\"//g -e /^$/d  -e /^\#/d -e s/\".*$//g -e s+.*/++g > "$OUTPUT_DIR/$i$OUTPUT_FILE_EXT"
done;

