#ifndef GT_BALL_PERCEPTION_MODULE_H
#define GT_BALL_PERCEPTION_MODULE_H


class BallPerceptorGT
{
public:
  BallPerceptorGT(const std::string& name, const Transformation& transformation,
    const std::vector<Blob>& orangeBlobs, const unsigned& timeStamp, BallPerceptGT& ballPercept);

  void execute();

protected:
  const std::string& name;
  BallPerceptGT& ballPercept;
  const std::vector<Blob>& orangeBlobs;
  const Transformation& transformation;
  const unsigned& timeStamp;
};

#endif
