/** 
* @file BH2009ObstacleSymbols.h
*
* Declaration of class BH2009ObstacleSymbols.
*
* @author <a href="mailto:rieskamp@informatik.uni-bremen.de">Andrik Rieskamp</a>
*/

#ifndef __BH2009ObstacleSymbols_h_
#define __BH2009ObstacleSymbols_h_

#include "../../Symbols.h"
#include "Representations/Modeling/FreeSpaceModel.h"


class BH2009ObstacleSymbols : public Symbols
{
public:
 
	BH2009ObstacleSymbols(const FreeSpaceModel& freeSpaceModel):
	  freeSpaceModel(freeSpaceModel)
  {
    theInstance = this;
  }

  PROCESS_WIDE_STORAGE_STATIC BH2009ObstacleSymbols* theInstance; 

  const FreeSpaceModel& freeSpaceModel;

  void registerSymbols(xabsl::Engine& engine);
};

#endif
