#include "SelfLocatorParameterProvider.h"
#include "Tools/Streams/InStreams.h"

void SelfLocatorParameterProvider::init()
{
  InConfigFile stream(Global::getSettings().expandLocationFilename("selfloc.cfg"), "default");
  ASSERT(stream.exists());
  configFromFile = new SelfLocatorParameter();
  stream >> *configFromFile;
}

void SelfLocatorParameterProvider::update(SelfLocatorParameter& parameter)
{
  if (configFromFile)
  {
    parameter = *configFromFile;
    delete(configFromFile);
    configFromFile = 0;
  }

  //...do stuff here...
}

MAKE_MODULE(SelfLocatorParameterProvider, Modeling)
