/**
* @file Platform/GameHandler.h
* Inclusion of platform dependent code for game controller handling.
* @author <A href="mailto:Thomas.Roefer@dfki.de">Thomas Röfer</A>
*/


#ifndef GAMEHANDLER_INCLUDED

#ifdef TARGET_ROBOT

#ifdef LINUX
  #include "linux/GameHandler.h"
  #define GAMEHANDLER_INCLUDED
#endif

#endif

#endif

#ifndef GAMEHANDLER_INCLUDED
  // not supported
  #define GAME_CONTROL
  #define START_GAME_CONTROL
  #define RECEIVE_GAME_CONTROL(data) false
  #define GAMEHANDLER_INCLUDED
#endif
