/**
* @file Platform/Oracle.h
* Inclusion of platform dependend definitions of the oracle. 
* @author Max Risler
*/

#ifndef ORACLE_INCLUDED

#ifdef TARGET_ROBOT

#ifdef LINUX
#include "linux/Oracle.h"
#define ORACLE_INCLUDED
#endif

#endif


#ifdef TARGET_SIM

#ifdef SIMROBOTQT
#include "SimRobotQt/Oracle.h"
#define ORACLE_INCLUDED
#endif

#endif


#ifndef ORACLE_INCLUDED
#error "Unknown platform or target"
#endif

#endif

