/**
* @file Platform/linux/Oracle.h
* Declaration of class Oracle for Linux.
*/

#ifndef __Oracle_h__
#define __Oracle_h__

#include "Representations/Modeling/RobotPose.h"
#include "Representations/Modeling/BallModel.h"

/**
* This class is a dummy. 
*/
class Oracle
{
public:
  /**
  * Constructor
  */
  Oracle(){}

  /**
  * The function returns the pose of the robot.
  */
  RobotPose getRobotPose() const { RobotPose pm; return pm; }

  /**
  * The function returns the position of the ball.
  */
  BallModel getBallModel() { BallModel bm; return bm; }

};

#endif // __Oracle_h__
