/**
 * @file SensorSAPOutput.h
 * Declaration of class SensorSAPOutput.
 * @author Judith Mller
 */ 

#ifndef __SensorSAPOutput_h_
#define __SensorSAPOutput_h_

#include "Tools/Streams/Streamable.h"

/**
* A dummy class so SensorSAP is selectable.
*/
class SensorSAPOutput : public Streamable
{
private:
  virtual void serialize(In* in, Out* out)
  {
    STREAM_REGISTER_BEGIN();
      char dummy(0);
      STREAM(dummy);
    STREAM_REGISTER_FINISH();
  }
};

#endif

