
CMD := $(subst \,\\,$(ComSpec)$(COMSPEC))
ifeq (,$(CMD))
DOXYGEN = doxygen
else
DOXYGEN = ../../Util/doxygen/doxygen.exe
endif

.PHONY: all Release prebuild BH2008 BH2009

all: Release

prebuild:
	@echo "------ Building SimulatorDoc (Release) ------"

Release: prebuild
	@$(DOXYGEN) Simulator_Documentation.cfg 2> dtmp
	@cat dtmp  \
  | sed -e "s%\(.*\):\([0-9][0-9]*\) Warning: %\1(\2) : warning: %" \
        -e "s%\(.*\):\([0-9][0-9]*\) Error: %\1(\2) : error: %"
ifeq (,$(CMD))
	-@rm -f dtmp
else
	-@$(CMD) /c if exist dtmp del /q dtmp
endif

clean:
	-@rm -f ../../Doc/Reference/Simulator
