/**
* @file ControllerQt/Platform/FireWireCamera.h
* Inclusion of platform dependend implementation of a class to communicate with a FireWire camera. 
*
* @author Colin Graf
*/

#ifndef __FIREWIRECAMERA_H__

#ifdef _WIN32
#include "Win32/FireWireCamera.h"
#endif

#ifdef LINUX
#include "Linux/FireWireCamera.h"
#endif

#ifndef __FIREWIRECAMERA_H__
#error "Unknown platform"
#endif

#endif //__FIREWIRECAMERA_H__
