
#ifndef __STATUSBAR_H__
#define __STATUSBAR_H__

#include <QStatusBar>

class QLabel;

class StatusBar : public QStatusBar
{
  Q_OBJECT

public:
  StatusBar(QWidget* parent);

private slots:
  void updateSlot();

private:
  QLabel* collisionsLabel;
  QLabel* frameRateLabel;
  QLabel* stepsLabel;
  QString lastStatusMessage;
  bool lastGotSimulation;

  void hideEvent(QHideEvent* event);
  void showEvent(QShowEvent* event);
};

#endif //__STATUSBAR_H__
